# Uses of Interface
org.eclipse.equinox.bidi.advanced.IStructuredTextExpert

Packages that use IStructuredTextExpert
Package
Description
org.eclipse.equinox.bidi.advanced
This package provides classes for users who need finer control on structured text handling.
org.eclipse.equinox.bidi.custom
This package provides APIs for plug-in developers to contribute handlers for specific types of bidirectional expressions not supported in the standard distribution.
org.eclipse.equinox.bidi.internal

## Uses of IStructuredTextExpert in org.eclipse.equinox.bidi.advanced

Methods in org.eclipse.equinox.bidi.advanced that return IStructuredTextExpert
Modifier and Type
Method
Description
`static IStructuredTextExpert`
StructuredTextExpertFactory.`getExpert()`
Obtains a IStructuredTextExpert instance for processing structured text with a default type handler segmenting the text according to default separators.
`static IStructuredTextExpert`
StructuredTextExpertFactory.`getExpert(String type)`
Obtains a IStructuredTextExpert instance for processing structured text with the specified type handler.
`static IStructuredTextExpert`
StructuredTextExpertFactory.`getExpert(String type, StructuredTextEnvironment environment)`
Obtains a IStructuredTextExpert instance for processing structured text with the specified type handler and the specified environment.
`static IStructuredTextExpert`
StructuredTextExpertFactory.`getStatefulExpert(String type)`
Obtains a IStructuredTextExpert instance for processing structured text with the specified type handler.
`static IStructuredTextExpert`
StructuredTextExpertFactory.`getStatefulExpert(String type, StructuredTextEnvironment environment)`
Obtains a IStructuredTextExpert instance for processing structured text with the specified type handler and the specified environment.
`static IStructuredTextExpert`
StructuredTextExpertFactory.`getStatefulExpert(StructuredTextTypeHandler handler, StructuredTextEnvironment environment)`
Obtains a IStructuredTextExpert instance for processing structured text with the specified type handler and the specified environment.

## Uses of IStructuredTextExpert in org.eclipse.equinox.bidi.custom

Fields in org.eclipse.equinox.bidi.custom declared as IStructuredTextExpert
Modifier and Type
Field
Description
`protected final IStructuredTextExpert`
StructuredTextCharTypes.`expert`
The IStructuredTextExpert instance which created this instance.
Methods in org.eclipse.equinox.bidi.custom with parameters of type IStructuredTextExpert
Modifier and Type
Method
Description
`int`
StructuredTextTypeHandler.`getDirection(IStructuredTextExpert expert, String text)`
Indicates the base text direction appropriate for an instance of structured text.
`int`
StructuredTextTypeHandler.`getDirection(IStructuredTextExpert expert, String text, StructuredTextCharTypes charTypes)`
Indicates the base text direction appropriate for an instance of structured text.
`String`
StructuredTextTypeHandler.`getSeparators(IStructuredTextExpert expert)`
Indicates the separators to use for the current handler.
`int`
StructuredTextTypeHandler.`getSpecialsCount(IStructuredTextExpert expert)`
Indicates the number of special cases handled by the current handler.
`int`
StructuredTextTypeHandler.`indexOfSpecial(IStructuredTextExpert expert, String text, StructuredTextCharTypes charTypes, StructuredTextOffsets offsets, int caseNumber, int fromIndex)`
Locates occurrences of special strings within a structured text and returns their indexes one after the other in successive calls.
`int`
StructuredTextTypeHandler.`processSpecial(IStructuredTextExpert expert, String text, StructuredTextCharTypes charTypes, StructuredTextOffsets offsets, int caseNumber, int separLocation)`
Handles special cases specific to this handler.
`boolean`
StructuredTextTypeHandler.`skipProcessing(IStructuredTextExpert expert, String text, StructuredTextCharTypes charTypes)`
Checks if there is a need for processing structured text.
Constructors in org.eclipse.equinox.bidi.custom with parameters of type IStructuredTextExpert
Modifier
Constructor
Description
``
`StructuredTextCharTypes(IStructuredTextExpert expert, String text)`
Constructor

## Uses of IStructuredTextExpert in org.eclipse.equinox.bidi.internal

Classes in org.eclipse.equinox.bidi.internal that implement IStructuredTextExpert
Modifier and Type
Class
Description
`class`
`StructuredTextImpl`
Implementation for IStructuredTextExpert.
Methods in org.eclipse.equinox.bidi.internal with parameters of type IStructuredTextExpert
Modifier and Type
Method
Description
`int`
StructuredTextSingle.`getSpecialsCount(IStructuredTextExpert expert)`
Returns 1 as number of special cases handled by this handler.
`int`
StructuredTextDelims.`indexOfSpecial(IStructuredTextExpert expert, String text, StructuredTextCharTypes charTypes, StructuredTextOffsets offsets, int caseNumber, int fromIndex)`
Locates occurrences of start delimiters.
`int`
StructuredTextSingle.`indexOfSpecial(IStructuredTextExpert expert, String text, StructuredTextCharTypes charTypes, StructuredTextOffsets offsets, int caseNumber, int fromIndex)`
Locates occurrences of the separator.
`int`
StructuredTextDelims.`processSpecial(IStructuredTextExpert expert, String text, StructuredTextCharTypes charTypes, StructuredTextOffsets offsets, int caseNumber, int separLocation)`
Handles the text between start and end delimiters as a token.
`int`
StructuredTextDelimsEsc.`processSpecial(IStructuredTextExpert expert, String text, StructuredTextCharTypes charTypes, StructuredTextOffsets offsets, int caseNumber, int separLocation)`
Handles the text between start and end delimiters as a token.
`int`
StructuredTextSingle.`processSpecial(IStructuredTextExpert expert, String text, StructuredTextCharTypes charTypes, StructuredTextOffsets offsets, int caseNumber, int separLocation)`
Inserts a mark before the separator if needed and skips to the end of the source string.